let EventEmitter = require('events');
let Util = require('util');
let EnvJSON = require('../../env.json');

function Core() {
  EventEmitter.call(this);
}

Util.inherits(Core, EventEmitter);

Core.prototype.isDev = function() {
  return EnvJSON.env === 'development';
};

Core.prototype.getCommitId = function() {
  return EnvJSON.commitId;
};

module.exports = new Core();
